summaryrefslogtreecommitdiffstats
path: root/package/6to4/files.old/6to4.hotplug
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-03-15 09:49:33 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-03-15 09:49:33 +0000
commit53fcd523f986a9c92319654de73cf950a0e65c05 (patch)
treeeb49ba004dc787510baa7de9d48f3f9557755c55 /package/6to4/files.old/6to4.hotplug
parent443820e37b48228ba986329f86ead6ce902a611b (diff)
6to4: add netifd support
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@30949 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/6to4/files.old/6to4.hotplug')
-rw-r--r--package/6to4/files.old/6to4.hotplug34
1 files changed, 34 insertions, 0 deletions
diff --git a/package/6to4/files.old/6to4.hotplug b/package/6to4/files.old/6to4.hotplug
new file mode 100644
index 000000000..1e3d26c41
--- /dev/null
+++ b/package/6to4/files.old/6to4.hotplug
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+if [ "$ACTION" = ifup ]; then
+ . /etc/functions.sh
+
+ include /lib/network
+ scan_interfaces
+
+ update_tunnel() {
+ local cfg="$1"
+
+ local proto
+ config_get proto "$cfg" proto
+ [ "$proto" = 6to4 ] || return 0
+
+ local wandev
+ config_get wandev "$cfg" wan_device "$(find_6to4_wanif)"
+ [ "$wandev" = "$DEVICE" ] || return 0
+
+ local wanip=$(find_6to4_wanip "$wandev")
+
+ [ -n "$wanip" ] && {
+ lsmod | grep -q ^sit || {
+ logger -t 6to4 "Tunneling driver not loaded yet, deferring action"
+ exit 0
+ }
+
+ uci_set_state network "$cfg" ipaddr "$wanip"
+ ( ifup "$cfg" )&
+ }
+ }
+
+ config_foreach update_tunnel interface
+fi